Vla-put-scmeditmode

提供: GizmoLabs
移動先: 案内検索
構文
(vla-put-scmeditmode vla-object mode)


機能
1 つまたは複数のオブジェクトが選択されており、どのコマンドも実行されていない編集モード時の、作図領域での右クリックの機能を決定する。


引数
  • vla-object … PreferencesUser の VLAオブジェクト
  • mode … AcDrawingAreaSCMEdit 列挙型
  • acEdRepeatLastCommand: 編集モードのショートカット メニューを無効にします。その結果、1 つまたは複数のオブジェクトも選択されていて、どのコマンドも処理中ではないときに作図領域で右クリックすると、[Enter]が発行される。つまり、最後に発行したコマンドが繰り返される。
  • acEdSCM: 編集モードのショートカット メニューを有効にします。


戻り値
nil


  • MEMO : このプロパティの初期値は acEdSCM。
  • このプロパティは、ShortcutMenuDisplay プロパティが True に設定されている場合にのみ設定できる。
  • 注 : このプロパティの値は、システム変数 SHORTCUTMENU に格納される。


サンプル
(vl-load-com)
(defun c:Example_SCMEditMode()
    ;; 図形選択状態での右クリックの機能を変更するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; 既定値の読み込み
    (setq originalValue (vla-get-SCMEditMode (vla-get-User preferences)))
    (alert (strcat "現在の SCMEditMode 値は: " (itoa originalValue)))

    ;; トグルで変更
    (vla-put-SCMEditMode (vla-get-User preferences) acEdRepeatLastCommand)
    (alert (strcat "新しい SCMEditMode 値は : " (itoa (vla-get-SCMEditMode (vla-get-User preferences)))))

    ;; 戻す
    (vla-put-SCMEditMode (vla-get-User preferences) originalValue)
    (alert (strcat "SCMEditMode 値を次に戻しました : " (itoa originalValue)))
)

関連事項